Name:           flaa
Version:        1.0.2
Release:        1%{?dist}
Summary:        Control program for use with the RigExpert antenna analyzers

License:        GPLv3+
URL:            http://www.w1hkj.com
Source0:        http://www.w1hkj.com/files/%{name}/%{name}-%{version}.tar.gz

BuildRequires:  gcc-c++
BuildRequires:  desktop-file-utils
BuildRequires:  fltk-devel >= 1.3.3
BuildRequires:  libpng-devel
BuildRequires:  libXft-devel


%description
flaa is a control program for use with the RigExpert AA-xxxx series of antenna
analyzers.


%prep
%autosetup


%build
# Work around fltk-devel bug in RHEL 7.
# https://bugzilla.redhat.com/show_bug.cgi?id=1510482
export LIBS="-lfltk"
%configure
%make_build


%install
%make_install


%check
#desktop-file-validate %{buildroot}/%{_datadir}/applications/%{name}.desktop


%files
%license COPYING
%doc AUTHORS ChangeLog README
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.xpm


%changelog
* Mon Nov 27 2017 Richard Shaw <hobbes1069@gmail.com> - 1.0.2-1
- Update to latest upstream release.

* Sat Nov 25 2017 Richard Shaw <hobbes1069@gmail.com> - 1.0.0-1
- Update to latest upstream release.

* Wed Nov 22 2017 Richard Shaw <hobbes1069@gmail.com> - 0.9.7-1
- Update to latest upstream release.

* Wed Nov 22 2017 Richard Shaw <hobbes1069@gmail.com> - 0.9.6-1
- Update to latest upstream release.

* Mon Nov 20 2017 Richard Shaw <hobbes1069@gmail.com> - 0.9.5-1
- Initial packaging.
